;****************************************************************
;*  REG252.INC, LAST CHANGE: 03.12.90                           *
;*                                                              *
;*              REGISTER-CONSTANTS FOR 80252                    *
;*              ============================                    *
;*                                                              *
;****************************************************************

;================================================================
;       CONTROLS
;----------------------------------------------------------------
ACC     EQU     0E0H    ;BIT-ADDRESSABLE
PSW     EQU     0D0H    ;BIT-ADDRESSABLE
CY      BIT     PSW.7
AC      BIT     PSW.6
F0      BIT     PSW.5
RS1     BIT     PSW.4
RS0     BIT     PSW.3
OV      BIT     PSW.2
P       BIT     PSW.0
B       EQU     0F0H    ;BIT-ADDRESSABLE
SP      EQU     081H
DPL     EQU     082H
DPH     EQU     083H
PCON    EQU     087H
;================================================================
;       PORTS
;----------------------------------------------------------------
P0      EQU     080H    ;BIT-ADDRESSABLE
P1      EQU     090H    ;BIT-ADDRESSABLE
C4EX    BIT     P1.7
C3EX    BIT     P1.6
C2EX    BIT     P1.5
C1EX    BIT     P1.4
C0EX    BIT     P1.3
C       BIT     P1.2
T2EX    BIT     P1.1
T2      BIT     P1.0
P2      EQU     0A0H    ;BIT-ADDRESSABLE
P3      EQU     0B0H    ;BIT-ADDRESSABLE
RD      BIT     P3.7
WR      BIT     P3.6
T1      BIT     P3.5
T0      BIT     P3.4
INT1    BIT     P3.3
INT0    BIT     P3.2
TXD     BIT     P3.1
RXD     BIT     P3.0
;================================================================
;       TIMERS
;----------------------------------------------------------------
TMOD    EQU     089H
TCON    EQU     088H    ;BIT-ADDRESSABLE
TF1     BIT     TCON.7
TR1     BIT     TCON.6
TF0     BIT     TCON.5
TR0     BIT     TCON.4
IE1     BIT     TCON.3
IT1     BIT     TCON.2
IE0     BIT     TCON.1
IT0     BIT     TCON.0
TL0     EQU     08AH
TH0     EQU     08CH
TL1     EQU     08BH
TH1     EQU     08DH
;================================================================
;       CAPTURE/COMPARE-UNIT ??
;----------------------------------------------------------------
T2CON   DATA    0C8H    ;BIT-ADDRESSABLE
TF2     BIT     T2CON.7
T2IP    BIT     T2CON.6
T2IE    BIT     T2CON.5
T2RSEN  BIT     T2CON.4
BGEN    BIT     T2CON.3
TR2     BIT     T2CON.2
C_T2    BIT     T2CON.1
CP_RL2  BIT     T2CON.0
T2MOD   DATA    0C9H
RCAP2L  DATA    0CAH
RCAP2H  DATA    0CBH
TL2     DATA    0CCH
TH2     DATA    0CDH
CCON    DATA    0D8H    ;BIT-ADDRESSABLE
CF      BIT     CCON.7
CR      BIT     CCON.6
CCF4    BIT     CCON.4
CCF3    BIT     CCON.3
CCF2    BIT     CCON.2
CCF1    BIT     CCON.1
CCF0    BIT     CCON.0
CMOD    DATA    0D9H
CCAPM0  DATA    0DAH
CCAPM1  DATA    0DBH
CCAPM2  DATA    0DCH
CCAPM3  DATA    0DDH
CCAPM4  DATA    0DEH
CL      DATA    0E9H
CCAP0L  DATA    0EAH
CCAP1L  DATA    0EBH
CCAP2L  DATA    0ECH
CCAP3L  DATA    0EDH
CCAP4L  DATA    0EEH
CH      DATA    0F9H
CCAP0H  DATA    0FAH
CCAP1H  DATA    0FBH
CCAP2H  DATA    0FCH
CCAP3H  DATA    0FDH
CCAP4H  DATA    0FEH
;================================================================
;       SERIAL INTERFACE
;----------------------------------------------------------------
SCON    EQU     098H    ;BIT-ADDRESSABLE
SM0     BIT     SCON.7
SM1     BIT     SCON.6
SM2     BIT     SCON.5
REN     BIT     SCON.4
TB8     BIT     SCON.3
RB8     BIT     SCON.2
TI      BIT     SCON.1
RI      BIT     SCON.0
SBUF    EQU     099H
;================================================================
;       INTERRUPTS
;----------------------------------------------------------------
IP      EQU     0B8H    ;BIT-ADDRESSABLE
PC      BIT     IP.6
PT2     BIT     IP.5
PS      BIT     IP.4
PT1     BIT     IP.3
PX1     BIT     IP.2
PT0     BIT     IP.1
PX0     BIT     IP.0
IE      EQU     0A8H    ;BIT-ADDRESSABLE
EA      BIT     IE.7
ES      BIT     IE.4
ET1     BIT     IE.3
EX1     BIT     IE.2
ET0     BIT     IE.1
EX0     BIT     IE.0
;================================================================
;       MISCELLANOUS ??
;----------------------------------------------------------------
SADDR   DATA    0A9H
SADEN   DATA    0B9H
;=== ENDE =======================================================
